SpyBara
Go Premium

resources/videos/methods/create/index.md 2026-07-07 08:02 UTC to 2026-07-09 20:58 UTC

15 added, 63 removed.

2026
Fri 31 17:59 Thu 30 23:58 Wed 29 15:02 Sat 25 05:59 Thu 23 18:00 Wed 22 20:02 Mon 20 20:00 Fri 17 17:00 Thu 16 20:57 Wed 15 02:58 Tue 14 06:58 Mon 13 15:59 Sun 12 06:58 Fri 10 23:02 Thu 9 20:58 Tue 7 08:02

Create video

post /videos

Create video

Returns

  • Video object { id, completed_at, created_at, 10 more }

    Structured information describing a generated video job.

    • id: string

      Unique identifier for the video job.

    • completed_at: number

      Unix timestamp (seconds) for when the job completed, if finished.

    • created_at: number

      Unix timestamp (seconds) for when the job was created.

    • error: VideoCreateError

      Error payload that explains why generation failed, if applicable.

      • code: string

        A machine-readable error code that was returned.

      • message: string

        A human-readable description of the error that was returned.

    • expires_at: number

      Unix timestamp (seconds) for when the downloadable assets expire, if set.

    • model: VideoModel

      The video generation model that produced the job.

      • string

      • "sora-2" or "sora-2-pro" or "sora-2-2025-10-06" or 2 more

        • "sora-2"

        • "sora-2-pro"

        • "sora-2-2025-10-06"

        • "sora-2-pro-2025-10-06"

        • "sora-2-2025-12-08"

    • object: "video"

      The object type, which is always video.

      • "video"
    • progress: number

      Approximate completion percentage for the generation task.

    • prompt: string

      The prompt that was used to generate the video.

    • remixed_from_video_id: string

      Identifier of the source video if this video is a remix.

    • seconds: string or VideoSeconds

      Duration of the generated clip in seconds. For extensions, this is the stitched total duration.

      • string

      • VideoSeconds = "4" or "8" or "12"

        • "4"

        • "8"

        • "12"

    • size: VideoSize

      The resolution of the generated video.

      • "720x1280"

      • "1280x720"

      • "1024x1792"

      • "1792x1024"

    • status: "queued" or "in_progress" or "completed" or "failed"

      Current lifecycle status of the video job.

      • "queued"

      • "in_progress"

      • "completed"

      • "failed"

Example

curl https://api.openai.com/v1/videos \
    -H 'Content-Type: multipart/form-data' \
    -H "Authorization: Bearer $OPENAI_API_KEY" \
    -F prompt=x

Response

{
  "id": "id",
  "completed_at": 0,
  "created_at": 0,
  "error": {
    "code": "code",
    "message": "message"
  },
  "expires_at": 0,
  "model": "sora-2",
  "object": "video",
  "progress": 0,
  "prompt": "prompt",
  "remixed_from_video_id": "remixed_from_video_id",
  "seconds": "4",
  "size": "720x1280",
  "status": "queued"
}

Example

curl https://api.openai.com/v1/videos \
  -H "Authorization: Bearer $OPENAI_API_KEY" \
  -F "model=sora-2" \
  -F "prompt=A calico cat playing a piano on stage"

Response

{
  "id": "video_123",
  "object": "video",
  "model": "sora-2",
  "status": "queued",
  "progress": 0,
  "created_at": 1712697600,
  "size": "1024x1792",
  "seconds": "8",
  "quality": "standard"
}